/* -*- Mode: C; indent-tabs-mode: t; c-basic-offset: 4; tab-width: 4 -*- */
/*
 * mazen-ng
 * Copyright (C) Jacob Zimmermann 2009 <jacob@jzimm.net>
 * 
 * mazen-ng is free software: you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the
 * Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * mazen-ng is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License along
 * with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef _PRINT_H_
#define _PRINT_H_

#pragma interface

#include <gtkmm.h>

class GridView;

class Print: public Gtk::PrintOperation 
{
	public:
		Print (Glib::RefPtr<GridView> maze_view);

	protected:
		virtual void on_draw_page(const Glib::RefPtr<Gtk::PrintContext>& context, int page_nr);
		
	private:
		Glib::RefPtr<GridView> maze_view;
};

#endif // _PRINT_H_
